﻿@model LoyaltyPointEngine.Model.Object.CMSNavigation.NavigationModel
@{
    List<LoyaltyPointEngine.Data.CMSPrivilege> _CMSPrevileges = ViewBag.CMSPrevilage;
    List<LoyaltyPointEngine.Data.CMSNavigationPrivilegeMapping> _CMSPrevilegesMapping = ViewBag.currentNavPrevilage;
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Edit Navigation</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> Edit navigation</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.CMSNavigation.Edit(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formEditNavigation" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured: <br />
                            @Html.ValidationSummary()
                        </div>
                    }

                    @Html.HiddenFor(x => x.ID);
                    <div class="form-group">
                        <label class="col-md-3 control-label">Navigation Name <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Name, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Controller Name <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Controller, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Sort</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.sort, new { @class = "form-control" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Parent From</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.ParentID, ViewBag.ListNavigationParent as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">IsHide </label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.IsHide, new { @class = "uniform" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Previlage: </label>
                        <div class="col-md-9">
                            @if (_CMSPrevileges != null)
                            {
                                string check = string.Empty;
                                foreach (LoyaltyPointEngine.Data.CMSPrivilege CMSPrevilage in _CMSPrevileges)
                                {
                                    check = "";
                                    if (_CMSPrevilegesMapping != null)
                                    {
                                        if (_CMSPrevilegesMapping.Where(x => x.CMSPrivilegeID == CMSPrevilage.ID).FirstOrDefault() != null)
                                        {
                                            check = "checked";
                                        }
                                    }
                                    <label class="checkbox">
                                        <input type="checkbox" @check class="uniform" value="@CMSPrevilage.ID" name="previlage[]" /> @CMSPrevilage.Name
                                    </label>
                                }
                            }
                        </div>
                    </div>



                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>

                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
@section FooterScript{
    <script>

        $(document).ready(function () {

            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())

            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });

            $("#formEditNavigation").validate();

        });
    </script>
}